from apps.hrm.views import (CertificateViewSet, ClockRecordViewSet, EmployeeViewSet, NotWorkRemarkViewSet, EmpNeedViewSet,
                            AttendanceViewSet, ResignationViewSet, EmpJoinViewSet, EmpPersonInfoViewSet, LeaveViewSet, TransferViewSet, ProbationViewSet, EmpContractViewSet)
from django.urls import path, include
from rest_framework.routers import DefaultRouter

API_BASE_URL = 'api/hrm/'
HTML_BASE_URL = 'dhtml/hrm/'

router = DefaultRouter()
router.register('employee', EmployeeViewSet, basename='employee')
router.register('clock_record', ClockRecordViewSet, basename='clock_record')
router.register('not_work_remark', NotWorkRemarkViewSet,
                basename='not_work_reamrk')
router.register('certificate', CertificateViewSet, basename='certificate')
router.register('attendance', AttendanceViewSet, basename='attendance')
router.register('resignation', ResignationViewSet, basename='resignation')
router.register('empneed', EmpNeedViewSet, basename='empneed')
router.register('empjoin', EmpJoinViewSet, basename='empjoin')
router.register('empperson', EmpPersonInfoViewSet, basename='empperson')
router.register('leave', LeaveViewSet, basename='leave')
router.register('transfer', TransferViewSet, basename='transfer')
router.register('probation', ProbationViewSet, basename='probation')
router.register('contract', EmpContractViewSet, basename='empcontract')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
